;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "death13"
command = ~B, DB, D, DF, F, x+y
time = 20

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "deathface"
command = ~D, DF, F, a+b
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 1
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 1
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI3"
command = a,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI4"
command = b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI5"
command = c,a,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI6"
command = c,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI7"
command = c,c,a,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI8"
command = c,c,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI9"
command = c,c,c,a,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI10"
command = c,c,c,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI11"
command = c,c,c,c,a,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI12"
command = c,c,c,c,c,b,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI13"
command = c,c,c,c,c,c,c,a,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI14"
command = c,c,c,c,c,c,c,b,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI15"
command = c,c,c,c,c,c,c,c,a,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI16"
command = c,c,c,c,c,c,c,c,c,b,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI17"
command = c,c,c,c,c,c,c,c,c,c,c,c,a,c,c,c,c,c,c
time = 1 
[Command]
name = "AI18"
command = c,c,c,c,c,c,c,c,c,c,c,c,b,c,c,c,c,c,c
time = 1 
[Command]
name = "AI19"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,a,c,c,c,c,c
time = 1 
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,b,c,c,c,c,c
time = 1 
[Command]
name = "AI21"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,a,c,c,c,c
time = 1 
[Command]
name = "AI22"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,b,c,c,c,c
time = 1 
[Command]
name = "AI23"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a,c,c,c
time = 1 
[Command]
name = "AI24"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,b,c,c,c
time = 1 
[Command]
name = "AI25"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a,c,c
time = 1 
[Command]
name = "AI26"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,b,c,c
time = 1 
[Command]
name = "AI27"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a,c
time = 1 
[Command]
name = "AI28"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,b,c
time = 1 
[Command]
name = "AI29"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a
time = 1 
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,b
time = 1 
[Command]
name = "AI31"
command = a,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI32"
command = c,a,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI33"
command = c,c,a,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI34"
command = c,c,c,a,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI35"
command = c,c,c,c,a,b,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI36"
command = c,c,c,c,c,a,b,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI37"
command = c,c,c,c,c,c,a,b,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI38"
command = c,c,c,c,c,c,c,a,b,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI39"
command = c,c,c,c,c,c,c,c,a,b,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI40"
command = c,c,c,c,c,c,c,c,c,a,b,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI41"
command = c,c,c,c,c,c,c,c,c,c,a,b,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI42"
command = c,c,c,c,c,c,c,c,c,c,c,c,a,b,c,c,c,c,c
time = 1 
[Command]
name = "AI43"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,a,b,c,c,c,c
time = 1 
[Command]
name = "AI44"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,a,b,c,c,c
time = 1 
[Command]
name = "AI45"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a,b,c,c
time = 1 
[Command]
name = "AI46"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a,b,c
time = 1 
[Command]
name = "AI47"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a,b
time = 1 
[Command]
name = "AI48"
command = a,b,a,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI49"
command = a,b,a,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI50"
command = z,b,a,b,x,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI51"
command = z,a,b,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 1
[Command]
name = "AI52"
command = b,b,b,b,b,b,b,b,b,b,b,a,b,z,b,b,b,b,b
time = 1
[Command]
name = "AI53"
command = c,c,b,c,c,c,a,c,c,c,x,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI54"
command = a,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI55"
command = b,c,c,c,c,c,c,c,x,c,y,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI56"
command = c,a,c,c,y,c,c,c,y,c,c,c,c,y,c,y,c,c,c
time = 1 
[Command]
name = "AI57"
command = c,b,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI58"
command = c,c,a,c,a,c,a,c,c,z,c,c,c,a,c,c,c,c,c
time = 1 
[Command]
name = "AI59"
command = c,c,b,z,c,c,c,c,c,c,c,c,c,c,c,c,c,c,z
time = 1 
[Command]
name = "AI60"
command = c,c,c,a,a,c,c,c,c,c,a,c,c,c,c,a,z,c,c
time = 1 
[Command]
name = "AI61"
command = c,c,c,b,x,c,c,c,c,c,x,c,c,x,c,c,c,c,c
time = 1 
[Command]
name = "AI62"
command = c,c,c,c,a,c,z,x,y,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI63"
command = c,c,c,c,a,b,c,c,c,c,c,x,c,b,c,c,c,c,c
time = 1 
[Command]
name = "AI64"
command = c,c,c,c,c,c,c,a,c,c,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI65"
command = c,c,c,c,c,z,c,b,c,c,c,a,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI66"
command = c,y,c,c,c,c,c,c,a,c,c,c,c,c,z,c,y,c,c
time = 1 
[Command]
name = "AI67"
command = c,c,c,c,c,c,y,y,c,b,c,c,c,c,c,c,c,c,c
time = 1 
[Command]
name = "AI68"
command = c,c,b,c,c,c,c,b,y,c,c,c,a,c,c,c,c,c,c
time = 1 
[Command]
name = "AI69"
command = c,c,c,z,c,c,c,c,x,z,c,z,b,c,c,c,c,c,c
time = 1 
[Command]
name = "AI70"
command = c,c,c,c,c,a,c,c,c,z,c,z,c,a,c,c,c,c,z
time = 1 
[Command]
name = "AI71"
command = c,x,c,c,x,a,c,c,c,c,c,c,c,b,c,c,c,c,c
time = 1 
[Command]
name = "AI72"
command = c,c,c,y,c,c,c,y,c,y,c,y,y,c,a,c,c,c,c
time = 1 
[Command]
name = "AI73"
command = c,c,c,z,c,c,c,c,z,c,z,c,z,c,b,c,c,c,c
time = 1 
[Command]
name = "AI74"
command = z,z,z,z,z,c,c,c,c,c,c,c,c,c,c,a,c,c,c
time = 1 
[Command]
name = "AI75"
command = z,x,c,y,c,c,c,c,c,c,c,c,c,c,c,b,c,c,c
time = 1 
[Command]
name = "AI76"
command = c,y,x,x,z,c,c,c,c,c,c,c,c,c,c,c,a,c,c
time = 1 
[Command]
name = "AI77"
command = c,c,z,c,x,z,x,c,c,c,c,c,c,c,c,c,b,c,c
time = 1 
[Command]
name = "AI78"
command = c,c,c,c,c,c,x,x,z,c,c,c,c,c,c,c,c,a,c
time = 1 
[Command]
name = "AI79"
command = c,c,c,z,c,c,c,c,z,c,c,c,x,x,c,c,c,b,c
time = 1 
[Command]
name = "AI80"
command = c,c,c,a,a,a,c,x,c,c,c,c,c,x,c,c,c,c,a
time = 1 
;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~D, DF, F, x

[Command]
name = "upper_y"
command = ~D, DF, F, y

;[Command]
;name = "upper_xy"
;command = ~F, D, DF, z

[Command]
name = "QCF_x"
command = ~F, D, DF, x

[Command]
name = "QCF_y"
command = ~F, D, DF, y

[Command]
name = "QCF_z"
command = ~F, D, DF, z

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_xy"
command = ~D, DB, B, x+y

[Command]
name = "green";"poruporu"
command = ~D, DB, B, z

[Command]
name = "oraora";"green"
command = ~D, DF, F, z

[Command];Cu}XŃXI
name = "FF_ab"
command = B, DB, D, DF, F, a+b;F, F, a+b

[Command];\ꃖI
name = "FF_a"
command = ~D, DF, F, a;F, F, a

[Command];Cu}XI
name = "FF_b"
command = ~D, DF, F, b;F, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


[Statedef -1]
;===========================================================================
;---------------------------------------------------------------------------
;zHHH```II
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 3050
triggerall = command = "deathface"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = numhelper(6666) = 0
trigger1 = ctrl
;trigger2 = hitdefattr = SC, NA, SA, HA
;trigger2 = stateno != [3050,3100)
;trigger2 = movecontact

;---------------------------------------------------------------------------
;ub^؂[bII
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = command = "death13"
triggerall = power >= 3000
;triggerall = p2life <= 300
triggerall = numhelper(6666) = 0
trigger1 = statetype = S
trigger1 = ctrl
;trigger2 = statetype != A
;trigger2 = hitdefattr = SC, NA, SA, HA
;trigger2 = stateno != [3000,3050)
;trigger2 = movecontact

;---------------------------------------------------------------------------
;\ꃖI
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1050
triggerall = numhelper(7777) = 0
triggerall = numhelper(6666) = 0
triggerall = p2stateno != 1055
triggerall = p2movetype != H
triggerall = command = "FF_a"
triggerall = p2life != 0
trigger1 = ctrl = 1
trigger1 = statetype != A
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Cu}XI
[State -1, Strong Kung Fu Knee]
type = null;ChangeState
value = 1060
triggerall = command = "FF_b"
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Ô[vE
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = numhelper(6666) = 0
trigger1 = ctrl = 1
trigger1 = command = "QCF_z"
;triggerall = power >= 330
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;ӂӂӂӂӂӁiÔ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = numhelper(6666) = 0
trigger1 = ctrl = 1
trigger1 = command = "QCF_x"
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Ô[v
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = numhelper(6666) = 0
trigger1 = ctrl = 1
trigger1 = command = "QCF_y"
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;͂ɂ҂H``i̔j
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = numhelper(6666) = 0
triggerall = numhelper(1212) = 0
triggerall = command = "oraora";"z"
trigger1 = ctrl = 1
trigger1 = statetype != A
;triggerall = power >= 330
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;K}
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = numhelper(6666) = 0
;triggerall = numhelper(2) = 0
triggerall = command = "upper_x"
trigger1 = ctrl = 1
;trigger1 = statetype != A
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;K}ł
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1110
;triggerall = numhelper(2) = 0
triggerall = numhelper(6666) = 0
triggerall = command = "upper_y"
trigger1 = ctrl = 1
trigger1 = statetype != A
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Fast Kung Fu Blow (1/3 super bar)
[State -1, Fast Kung Fu Blow]
type = null;ChangeState
value = 1220
triggerall = command = "QCB_xy"
trigger1 = ctrl = 1
trigger1 = statetype != A
;triggerall = power >= 330
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;͂ɂ҂H``i̐ԁj
[State -1, Light Kung Fu Blow]
type = ChangeState
value = 1200
triggerall = numhelper(6666) = 0
triggerall = numhelper(1212) = 0
triggerall = command = "z";"poruporu"
triggerall = numhelper(11) = 0
trigger1 = ctrl = 1
trigger1 = statetype != A
;trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;͂ɂ҂H``ic̗΁j
[State -1, Light Kung Fu Blow]
type = ChangeState
value = 1210
triggerall = numhelper(6666) = 0
triggerall = numhelper(1212) = 0
triggerall = command = "green";"poruporu"
triggerall = numhelper(11) = 0
trigger1 = ctrl = 1
trigger1 = statetype = A
;trigger1 = var(1) ;Use combo condition (above)

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;ރ_bV
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
;triggerall = numhelper(1) = 0
triggerall = numhelper(6666) = 0
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
;trigger2 = stateno = 200
;trigger2 = time > 6

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
;triggerall = numhelper(1) = 0
triggerall = numhelper(6666) = 0
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
;trigger2 = (stateno = 200) && time > 5
;trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = numhelper(6666) = 0
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
;trigger2 = (stateno = 200) && time > 7
;trigger3 = (stateno = 230) && time > 9

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = numhelper(6666) = 0
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
;trigger2 = (stateno = 200) && time > 5
;trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = null;ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = numhelper(6666) = 0
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = S;C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = numhelper(6666) = 0
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = S
trigger1 = ctrl
;trigger2 = (stateno = 400) || (stateno = 430)
;trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 610;230;430
triggerall = numhelper(6666) = 0
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = S;C
trigger1 = ctrl
;trigger2 = (stateno = 400) || (stateno = 430)
;trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = numhelper(6666) = 0
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = S
trigger1 = ctrl
;trigger2 = (stateno = 400) || (stateno = 430)
;trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = numhelper(6666) = 0
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
;trigger2 = stateno = 600
;trigger2 = statetime >= 7
;;trigger2 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 430;610
triggerall = numhelper(6666) = 0
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
;trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
;trigger2 = movecontact
;;trigger2 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = numhelper(6666) = 0
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
;;trigger2 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = numhelper(6666) = 0
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
;trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
;trigger2 = movecontact
;;trigger2 = stateno = 1350 ;Air blocking















































;--------------------------------ȉAI-----------------------------------
;zHHH```II
[State -1, Smash Kung Fu Upper]
type = ChangeState
value = 3050
triggerall = power >= 1000
triggerall = numhelper(6666) = 0
triggerall = statetype != A 
triggerall = enemynear,statetype != L
triggerall = p2bodydist X = [0,140]
triggerall = var(59) = 1 && RoundState = 2 
triggerall = ctrl && vel Y = 0
trigger1 = !(NumHelper(2) < 9 && p2bodydist X < 60)
trigger1 = Numhelper(7777) != 2
trigger1 = enemynear,Pos Y >= -70 
trigger1 = var(58) = 0
trigger1 = !(var(57) = 0 && p2life >= lifemax / 1.5 && life <= lifemax / 3)
trigger2 = var(58) != 0
trigger2 = random <= var(58)*10
;---------------------------------------------------------------------------
;ub^؂[bII
[State -1, Triple Kung Fu Palm]
type = ChangeState
value = 3000
triggerall = power >= 3000
triggerall = p2movetype != H && p2statetype != L
triggerall = numhelper(6666) = 0
triggerall = var(59) = 1 && RoundState = 2 
triggerall = ctrl && vel Y = 0
triggerall = statetype != A
trigger1 = var(58) = 0
trigger1 = p2life >= 100
trigger1 = !(var(57) = 0 && p2life >= lifemax / 1.5 && life <= lifemax / 3)
trigger1 = enemynear,Pos Y >= -60 
trigger2 = var(58) != 0
trigger2 = random <= var(58)*15
;---------------------------------------------------------------------------
;ӂӂӂӂӂӁiÔ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = p2bodydist X = [0,40]
trigger1 = BackEdgeBodyDist = [0,50]
;trigger1 = numhelper(7777) = 1
trigger1 = p2statetype = L && p2movetype = H
;---------------------------------------------------------------------------
;\ꃖI
[State -1, Light Kung Fu Knee]
type = ChangeState
value = 1050
triggerall = p2life != 0
triggerall = statetype != A
triggerall = numhelper(7777) = 0
triggerall = numhelper(6666) = 0
triggerall = p2bodydist X = [0,200]
triggerall = var(59) = 1 && RoundState = 2 
triggerall = ctrl = 1 && vel Y = 0
trigger1 = var(58) = 0
trigger2 = var(58) != 0
trigger2 = random <= var(58)*30
;---------------------------------------------------------------------------
;͂ɂ҂H``ic̗΁j
[State -1, Light Kung Fu Blow]
type = ChangeState
value = 1210
triggerall = numhelper(6666) = 0
triggerall = numhelper(1212) = 0
triggerall = numhelper(11) = 0
triggerall = var(59) = 1 && RoundState = 2 
triggerall = ctrl = 1
triggerall = statetype = A
trigger1 = var(58) = 0
trigger2 = var(58) != 0
trigger2 = random <= var(58)*6
;---------------------------------------------------------------------------
;Ô[vE
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = var(59) = 1 && RoundState != 3
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = Facing = 1
trigger1 = p2bodydist X = [0,30]
trigger1 = BackEdgeBodyDist = [0,40]
trigger1 = p2statetype != L && p2movetype != H
trigger2 = enemynear,NumProj != 0
trigger2 = Facing = 1
trigger2 = BackEdgeBodyDist = [0,80]
trigger3 = enemynear,hitdefattr = SCA,AT,AP
trigger3 = Facing = 1
trigger3 = BackEdgeBodyDist = [0,80]
;---------------------------------------------------------------------------
;Ô[v
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = Facing = -1
trigger1 = p2bodydist X = [0,30]
trigger1 = BackEdgeBodyDist = [0,40]
trigger1 = p2statetype != L && p2movetype != H
trigger2 = enemynear,NumProj != 0
trigger2 = Facing = -1
trigger2 = BackEdgeBodyDist = [0,80]
trigger3 = enemynear,hitdefattr = SCA,AT,AP
trigger3 = Facing = -1
trigger3 = BackEdgeBodyDist = [0,80]
;---------------------------------------------------------------------------
;ӂӂӂӂӂӁiÔ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = enemynear,NumProj != 0
trigger1 = BackEdgeBodyDist = [0,40]
trigger2 = p2bodydist X = [0,40]
trigger2 = BackEdgeBodyDist = [0,40]
trigger2 = numhelper(7777) = 1
trigger2 = p2statetype = L && p2movetype = H
trigger3 = enemynear,hitdefattr = SCA,AT,AP
;---------------------------------------------------------------------------
;Ô[vE
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = var(59) = 1 && RoundState != 3
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = InGuardDist 
trigger1 = random <= 300
;---------------------------------------------------------------------------
;Ô[v
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = random <= 650
trigger1 = InGuardDist 
;---------------------------------------------------------------------------
;ӂӂӂӂӂӁiÔ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = InGuardDist 
;---------------------------------------------------------------------------
;͂ɂ҂H``i̔j
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = numhelper(6666) = 0
triggerall = numhelper(1212) = 0
triggerall = var(59) = 1 && RoundState = 2
triggerall = statetype != A
triggerall = ctrl = 1 && vel Y = 0
triggerall = InGuardDist = 0
trigger1 = p2bodydist X = [0,120]
trigger1 = Numhelper(7777) != 2
trigger1 = var(58) = 0
trigger2 = p2bodydist X = [0,120]
trigger2 = var(58) != 0
trigger2 = random <= var(58)*7
trigger3 = p2bodydist X = [0,80]
trigger3 = var(58) != 0
trigger3 = random <= var(58)*14
;---------------------------------------------------------------------------
;͂ɂ҂H``i̐ԁj
[State -1, Light Kung Fu Blow]
type = ChangeState
value = 1200
triggerall = p2bodydist X = [160,240]
triggerall = var(59) = 1 && RoundState = 2 
triggerall = statetype != A
triggerall = numhelper(6666) = 0
triggerall = numhelper(1212) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = InGuardDist = 0
trigger1 = Numhelper(7777) != 2
trigger1 = var(58) = 0
trigger1 = NumHelper(7777) != 0 || NumHelper(2) != 0 || NumHelper(1) != 0 || numhelper(11) != 0
trigger2 = var(58) != 0
trigger2 = random <= var(58)*6
;---------------------------------------------------------------------------
;Ô[vE
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = var(59) = 1 && RoundState != 3
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) != 0
trigger1 = random <= var(58)*10
trigger1 = Facing = 1
trigger1 = p2bodydist X = [0,40]
trigger1 = BackEdgeBodyDist = [0,40]
trigger1 = p2statetype != L && p2movetype != H
trigger2 = random <= var(58)*15
trigger2 = InGuardDist 
trigger3 = random <= var(58)*7
trigger3 = Facing = 1
trigger3 = p2bodydist X = [0,50]
trigger3 = BackEdgeBodyDist = [0,60]
trigger3 = var(56) != 0
trigger4 = NumHelper(7777) = 0 && NumHelper(1212) = 0 && NumHelper(2) = 0 && numhelper(11) = 0
trigger4 = BackEdgeBodyDist = [0,30]
trigger4 = Facing = 1
;---------------------------------------------------------------------------
;Ô[v
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = random <= var(58)*10
trigger1 = Facing = -1
trigger1 = p2bodydist X = [0,40]
trigger1 = BackEdgeBodyDist = [0,40]
trigger1 = p2statetype != L && p2movetype != H
trigger2 = random <= var(58)*30
trigger2 = InGuardDist 
trigger3 = random <= var(58)*7
trigger3 = Facing = 1
trigger3 = p2bodydist X = [0,50]
trigger3 = BackEdgeBodyDist = [0,60]
trigger3 = var(56) != 0
trigger4 = NumHelper(7777) = 0 && NumHelper(1212) = 0 && NumHelper(2) = 0 && numhelper(11) = 0
trigger4 = BackEdgeBodyDist = [0,30]
trigger4 = Facing = -1
;---------------------------------------------------------------------------
;ӂӂӂӂӂӁiÔ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = var(58) = 0
trigger1 = random <= var(58)*45
trigger1 = InGuardDist 
trigger2 = random <= var(58)*7
trigger2 = p2bodydist X = [0,50]
trigger2 = BackEdgeBodyDist = [0,60]
trigger2 = numhelper(7777) = 1
trigger2 = p2statetype = L && p2movetype = H
trigger3 = enemynear,hitdefattr = SCA,NT,NP,ST,SP,HA,HT,HP
trigger3 = random <= var(58)*40
;---------------------------------------------------------------------------
;K}
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = numhelper(6666) = 0
triggerall = enemynear,NumProj = 0
triggerall = var(59) = 1 && RoundState = 2 
triggerall = ctrl = 1 && vel Y = 0
triggerall = statetype != A
triggerall = InGuardDist = 0
trigger1 = enemynear,movetype = H || enemynear,statetype = L
trigger1 = Numhelper(7777) != 0
;trigger1 = p2bodydist X >= 20
trigger1 = var(58) = 0
trigger1 = NumHelper(2) < 11
trigger2 = var(58) != 0
trigger2 = random <= var(58)*8
trigger2 = p2bodydist X >= 40
trigger2 = p2movetype = H || p2statetype = L
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
;triggerall = numhelper(1) = 0
triggerall = numhelper(6666) = 0
triggerall = p2statetype != L && p2bodydist X = [0,80]
triggerall = var(59) = 1 && RoundState = 2 
triggerall = ctrl && vel Y = 0
triggerall = statetype != A
trigger1 = numhelper(1212) = 0
trigger1 = Numhelper(7777) != 2
trigger1 = var(58) = 0
trigger1 = random <= 600
trigger2 = var(58) != 0
trigger2 = random <= var(58)*20
trigger3 = numhelper(1212) != 0
trigger3 = NumHelper(2) > 5
trigger3 = Numhelper(7777) != 2
trigger3 = var(58) = 0
;---------------------------------------------------------------------------
;K}ł
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1110
triggerall = numhelper(6666) = 0
triggerall = var(59) = 1 && RoundState = 2
triggerall = p2movetype != A && enemynear,NumProj = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = statetype != A
triggerall = InGuardDist = 0
trigger1 = NumHelper(7777) != 0 || NumHelper(1212) != 0 || NumHelper(2) != 0 || numhelper(11) != 0
trigger1 = p2bodydist X >= 140
trigger1 = var(58) = 0
trigger2 = p2bodydist X >= 40
trigger2 = p2statetype = L || p2movetype = H
trigger2 = var(58) = 0
trigger3 = p2bodydist X >= 60
trigger3 = var(58) != 0
trigger3 = random <= var(58)*10
trigger3 = NumHelper(2) != 0
trigger4 = p2bodydist X >= 160
trigger4 = var(58) != 0
trigger4 = random <= var(58)*13
trigger5 = var(58) != 0
trigger5 = NumHelper(2) > 3
trigger5 = InGuardDist = 0 
trigger6 = p2bodydist X >= 160
trigger6 = var(58) != 0
trigger6 = NumHelper(2) > 2
trigger6 = InGuardDist = 0 
;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = numhelper(6666) = 0
triggerall = var(59) = 1 && RoundState = 2 
triggerall = (p2statetype = S || p2statetype = C) && p2bodydist X = [0,65]
triggerall = statetype = A
triggerall = ctrl
trigger1 = var(58) = 0
trigger1 = 0
trigger2 = var(58) != 0
trigger2 = random <= var(58)*2.5
;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = numhelper(6666) = 0
triggerall = (p2statetype = S || p2statetype = C) && p2bodydist X = [0,100]
triggerall = var(59) = 1 && RoundState = 2 
triggerall = statetype != A
triggerall = ctrl && vel Y = 0
trigger1 = var(58) != 0
trigger1 = random <= var(58)*3
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Ô[vE
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = NumHelper(7777) = 0 && NumHelper(1212) = 0 && NumHelper(2) = 0 && numhelper(11) = 0
trigger1 =  NumHelper(2) != 0 
trigger1 = p2movetype = H
trigger1 = random <= 200
trigger1 = Facing = 1
trigger1 = p2bodydist X < 30
trigger1 = BackEdgeBodyDist < 40
trigger1 = var(58) = 0
trigger2 = Facing = 1
trigger2 = p2bodydist X = [0,40]
trigger2 = BackEdgeBodyDist < 40
trigger2 = p2statetype != L && p2movetype != H
trigger2 = var(58) = 0
trigger3 = BackEdgeBodyDist < 20
trigger3 = random <= 100
trigger3 = var(58) = 0
trigger4 = var(58) != 0
trigger4 = p2movetype = A
trigger4 = random <= var(58)*5
;---------------------------------------------------------------------------
;Ô[v
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = NumHelper(7777) = 0 && NumHelper(1212) = 0 && NumHelper(2) = 0 && numhelper(11) = 0
trigger1 =  NumHelper(2) != 0 
trigger1 = p2movetype = H
trigger1 = random <= 400
trigger1 = Facing = -1
trigger1 = p2bodydist X < 30
trigger1 = BackEdgeBodyDist < 40
trigger1 = var(58) = 0
trigger2 = Facing = -1
trigger2 = p2bodydist X = [0,40]
trigger2 = BackEdgeBodyDist < 40
trigger2 = p2statetype != L && p2movetype != H
trigger2 = var(58) = 0
trigger3 = BackEdgeBodyDist < 20
trigger3 = random <= 200
trigger3 = var(58) = 0
trigger4 = var(58) != 0
trigger4 = p2movetype = A
trigger4 = random <= var(58)*10
;---------------------------------------------------------------------------
;ӂӂӂӂӂӁiÔ
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = var(59) = 1 && RoundState != 3 
triggerall = numhelper(6666) = 0
triggerall = ctrl = 1 && vel Y = 0
triggerall = NumHelper(7777) = 0 && NumHelper(1212) = 0 && NumHelper(2) = 0 && numhelper(11) = 0
trigger1 = BackEdgeBodyDist < 20
trigger1 = random <= 300
trigger1 = var(58) = 0
trigger2 = var(58) != 0
trigger2 = p2movetype = A
trigger2 = random <= var(58)*15

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 430;610
triggerall = var(59) = 1 && RoundState = 2 
triggerall = statetype = A
triggerall = ctrl && vel Y = 0
triggerall = numhelper(6666) = 0
trigger1 = var(58) != 0
trigger1 = p2bodydist X = [40,80]
trigger1 = random <= var(58)*1
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = var(59) = 1 && RoundState = 2 
triggerall = statetype = A
triggerall = ctrl
triggerall = numhelper(6666) = 0
trigger1 = var(58) != 0
trigger1 = random <= var(58)*2.5
trigger1 = p2bodydist X = [40,80]
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = numhelper(6666) = 0
triggerall = var(59) = 1 && RoundState = 2 
triggerall = statetype = C
triggerall = ctrl && vel Y = 0
trigger1 = var(58) != 0
trigger1 = p2bodydist X = [40,80]
trigger1 = random <= var(58)*2
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = numhelper(6666) = 0
triggerall = statetype = C
triggerall = ctrl && vel Y = 0
triggerall = var(59) = 1 && RoundState = 2 
trigger1 = var(58) != 0
trigger1 = random <= var(58)*3
trigger1 = p2bodydist X = [40,80]
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = numhelper(6666) = 0
triggerall = statetype = S
triggerall = ctrl && vel Y = 0
triggerall = var(59) = 1 && RoundState = 2 
trigger1 = var(58) != 0
trigger1 = random <= var(58)*4
trigger1 = p2bodydist X = [40,80]
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = numhelper(6666) = 0
triggerall = statetype = S
triggerall = ctrl && vel Y = 0
triggerall = var(59) = 1 && RoundState = 2 
trigger1 = var(58) != 0
trigger1 = random <= var(58)*5
trigger1 = p2bodydist X = [40,80]
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = numhelper(6666) = 0
triggerall = statetype = A
triggerall = var(59) = 1 && RoundState = 2 
triggerall = ctrl
trigger1 = var(58) != 0
trigger1 = p2bodydist X = [40,80]
trigger1 = random <= var(58)*6
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 610;230;430
triggerall = numhelper(6666) = 0
triggerall = statetype = C
triggerall = ctrl && vel Y = 0
triggerall = var(59) = 1 && RoundState = 2 
trigger1 = var(58) != 0
trigger1 = random <= var(58)*7
trigger1 = p2bodydist X = [40,80]
trigger2 = var(58) = 0
trigger2 = 0
;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = numhelper(6666) = 0
triggerall = var(59) = 1 && RoundState = 2 
triggerall = statetype != A
triggerall = ctrl && vel Y = 0
trigger1 = var(58) != 0
trigger1 = random <= var(58)*8
trigger1 = p2bodydist X = [40,80]
trigger2 = var(58) = 0
trigger2 = 0

;---------------------------------------------------------------------------
;pE
[State -1, Walk]
type = ChangeState
value = 20
triggerall = var(59) = 1 && RoundState = 2
triggerall = ctrl 
trigger1 = statetype != A
trigger1 = ctrl && stateno != 20
trigger1 = numhelper(6666) != 0
trigger1 = p2statetype = L || p2movetype = H
trigger1 = var(56) = 0
trigger1 = BackEdgeBodyDist > 20
;---------------------------------------------------------------------------

[State -1, ai]
type = varset
triggerall = var(59) != 1
triggerall = RoundState != 3
trigger1 = Command = "AI0"
trigger2 = Command = "AI1"
trigger3 = Command = "AI2"
trigger4 = Command = "AI3"
trigger5 = Command = "AI4"
trigger6 = Command = "AI5"
trigger7 = Command = "AI6"
trigger8 = Command = "AI7"
trigger9 = Command = "AI8"
trigger10 = Command = "AI9"
trigger11 = Command = "AI10"
trigger12 = Command = "AI11"
trigger13 = Command = "AI12"
trigger14 = Command = "AI13"
trigger15 = Command = "AI14"
trigger16 = Command = "AI15"
trigger17 = Command = "AI16"
trigger18 = Command = "AI17"
trigger19 = Command = "AI18"
trigger20 = Command = "AI19"
trigger21 = Command = "AI20"
trigger22 = Command = "AI21"
trigger23 = Command = "AI22"
trigger24 = Command = "AI23"
trigger25 = Command = "AI24"
trigger26 = Command = "AI25"
trigger27 = Command = "AI26"
trigger28 = Command = "AI27"
trigger29 = Command = "AI28"
trigger30 = Command = "AI29"
trigger31 = Command = "AI30"
trigger32 = Command = "AI31"
trigger33 = Command = "AI32"
trigger34 = Command = "AI33"
trigger35 = Command = "AI34"
trigger36 = Command = "AI35"
trigger37 = Command = "AI36"
trigger38 = Command = "AI37"
trigger39 = Command = "AI38"
trigger40 = Command = "AI39"
trigger41 = Command = "AI40"
trigger42 = Command = "AI41"
trigger43 = Command = "AI42"
trigger44 = Command = "AI43"
trigger45 = Command = "AI44"
trigger46 = Command = "AI45"
trigger47 = Command = "AI46"
trigger48 = Command = "AI47"
trigger49 = Command = "AI48"
trigger50 = Command = "AI49"
trigger51 = Command = "AI50"
trigger52 = Command = "AI51"
trigger53 = Command = "AI52"
trigger54 = Command = "AI53"
trigger55 = Command = "AI54"
trigger56 = Command = "AI55"
trigger57 = Command = "AI56"
trigger58 = Command = "AI57"
trigger59 = Command = "AI58"
trigger60 = Command = "AI59"
trigger61 = Command = "AI60"
trigger62 = Command = "AI61"
trigger63 = Command = "AI62"
trigger64 = Command = "AI63"
trigger65 = Command = "AI64"
trigger66 = Command = "AI65"
trigger67 = Command = "AI66"
trigger68 = Command = "AI67"
trigger69 = Command = "AI68"
trigger70 = Command = "AI69"
trigger71 = Command = "AI70"
trigger72 = Command = "AI71"
trigger73 = Command = "AI72"
trigger74 = Command = "AI73"
trigger75 = Command = "AI74"
trigger76 = Command = "AI75"
trigger77 = Command = "AI76"
trigger78 = Command = "AI77"
trigger79 = Command = "AI78"
trigger80 = Command = "AI79"
trigger81 = Command = "AI80"
var(59) = 1 


;---------------------------------------------------------------------------
;---------------------------------------------------------------------------


[State -1, 펞AIN]
type = varset
triggerall = RoundState != 3
Trigger1 = Ctrl
trigger1 = 1;̐lύX(01)
var(59) = 1
;ignorehitpause = 1

;
;1ŏ펞AINBʂɂȂĂAI͓邪A1ɐݒ肵قB
;œ肪ꍇ0B
;


[State -1, AIxݒ]
type = varset
triggerall = RoundState != 3
Trigger1 = Ctrl
trigger1 = 1
var(58) = 0;̒lύX(0ȏ)
;ignorehitpause = 1

;
;AI̐͐Ȃ牽łFB͂傫قǓǂȂ銴B
;󂯕tȂƂ͂ȂAAIƂĂ͓ȂȂB{IɍŎ1B
;10Pʂ炢ŒƂBł50炢͂܂ςȂB
;Ȃ݂ɍŋ́u0vBPɋȂ炱BAIx0ݒ莞݂̂̎dl͈ȉB
;EKEZ̖ʌ
;E1Q[WZqbg̖ʂȃWvȂȂ
;E[v̐x㏸
;Ȇ傫ʏZgpȂȂ
;ȆFX悭Ȃ
;


[State -1, ܂]
type = poweradd
trigger1 = (GameTime% 0 )= 0
trigger1 = RoundsExisted = 0
trigger1 = power < 1
trigger1 = 0;̐lύX(01)
trigger1 = RoundState <= 1
value = 1000

;
;1ɐݒ肷Ƒ̃WWLƓlA1Q[W܂ԂŊJn܂B
;AI̎dlAقڊmɃN\Q[ɂĂ̂ŒӁB
;
